<template>
  <list-user page-title="prueba" table-title="Especialistas" />
</template>

<script>
import { mapActions, mapState } from 'vuex';
import ListUser from '~/components/pages/ListUser';
export default {
  name: 'Prueba',
  components: {
    ListUser,
  },
  data() {
    return {
      search: '',
      headers: [
        { text: 'Nombres', align: 'start', sortable: false, value: 'name' },
        { text: 'DNI', value: 'user.dni' },
        { text: 'Email', value: 'fat' },
        { text: 'Teléfono', value: 'carbs' },
        { text: 'Estado', value: 'state' },
      ],
      items: [
        {
          name: 'Frozen Yogurt',
          calories: 159,
          fat: 6.0,
          carbs: 24,
          state: true,
          iron: '1%',
        },
        {
          name: 'Ice cream sandwich',
          calories: 237,
          fat: 9.0,
          carbs: 37,
          state: true,
          iron: '1%',
        },
      ],
    };
  },
  computed: {
    ...mapState({
      // Get all the specialists from state.
      specialists: state => state.supervisor.specialists,
      loading: state => state.supervisor.specialists,
    }),
  },
  async mounted() {
    await this.getAllSpecialists();
  },
  methods: {
    getAllSpecialists() {
      this.getSpecialists();
    },
    ...mapActions({
      getSpecialists: 'supervisor/specialist/getSpecialists',
    }),
  },

};
</script>
